## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

# 390x arch:
# Error in test case: 150_tag_config_invalid_tags.txt (top: actual; bottom:
# expected)
%ifnarch s390x
%if 0%{?fedora} >= 39 || 0%{?el8}
%bcond_without tests
%endif
%endif

%global cfgfile %{_datadir}/%{name}/%{name}

Name:           boxes
Version:        2.3.1
Release:        %autorelease
Summary:        Command line ASCII boxes unlimited!

License:        GPL-3.0-only
URL:            http://boxes.thomasjensen.com
Source0:        https://github.com/ascii-%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  git-core
BuildRequires:  libunistring-devel
BuildRequires:  make
BuildRequires:  pcre2-devel
BuildRequires:  vim-common
BuildRequires:  pkgconfig(ncurses)

%if 0%{?fedora} || 0%{?rhel} >= 8
Recommends:     %{name}-vim = %{version}-%{release}
%endif

%description
Boxes is a command line program which draws, removes, and repairs ASCII art
boxes. It operates as a text filter. The generated boxes may even be removed
and repaired again if they were badly damaged by editing of the text inside.
Since boxes may be open on any side, boxes can also be used to create
(regional) comments in any programming language.

Boxes is useful for making the function headers in your programming language
look better, for spicing up news postings and emails, or just for decorating
documentation files. Since the drawn box is matched in size to your input
text, you can use boxes in scripts to dynamically add boxes around stuff.


%package        vim
BuildArch:      noarch

Summary:        Vim plugin for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       vim-enhanced

%description    vim
Vim plugin for %{name}.


%prep
%autosetup


%build
%set_build_flags
%make_build \
    CFLAGS_ADDTL='%{optflags}' \
    GLOBALCONF=%{cfgfile} \
    LDFLAGS_ADDTL='%{build_ldflags}' \
    debug \
    %{nil}


%if %{with tests}
%check
# https://github.com/ascii-boxes/boxes/issues/124
export TERM=xterm-color
%if 0%{?el8}
export LANG=en_US.UTF-8
%endif
%make_build test
%endif


%install
install -Dp -m 0755 out/%{name}     %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}-config  %{buildroot}%{cfgfile}
install -Dp -m 0644 doc/%{name}.1   %{buildroot}%{_mandir}/man1/%{name}.1
install -Dp -m 0644 %{name}.vim     %{buildroot}%{_datadir}/vim/vimfiles/syntax/%{name}.vim


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/*.1*

%files vim
%{_datadir}/vim/vimfiles/syntax/%{name}.vim


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 03 2024 Packit <hello@packit.dev> - 2.3.1-1
- Update to 2.3.1 upstream release
- Resolves: rhbz#2316288

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 18 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.0-3
- test: Fix tests for EL 8

* Sat Feb 17 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.0-2
- test: Skip tests on f38 and EPEL's

* Sat Feb 17 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.0-1
- [packit] 2.3.0 upstream release

* Sat Feb 17 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.1-6
- packit: Update config

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 05 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.1-3
- build: Add Packit config

* Tue Dec 05 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.1-2
- license: Convert to SPDX

* Thu Aug 24 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.1-1
- chore(update): 2.2.1

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Sep 22 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.0-1
- chore(update): 2.2.0

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.1-1
- build(update): 2.1.1

* Sun Apr 18 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.0-1
- build(update): 2.1.0

* Wed Feb 17 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.0.0-1
- build(update): 2.0.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3-4
- Fix EPEL 7 build

* Thu Jan 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3-3
- Packaging fixes

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Sep 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3-1
- Update to 1.3

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 19 2018 Jakub Hrozek <jhrozek@redhat.com> - 1.1.1-13
- BuildRequire gcc
- rhbz #1603515 - boxes: FTBFS in Fedora rawhide

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.1.1-4
- Fix race condition in parallel make (#1106015)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec  3 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.1.1-2
- Fix -Wformat-security compilation warning

* Wed Jul 31 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.1.1-1
- New upstream release 1.1.1

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 10 2008 Jakub Hrozek <jhrozek@redhat.com> - 1.1-6
- bump release

* Sun Feb 10 2008 Jakub Hrozek <jhrozek@redhat.com> - 1.1-5
- rebuild for GCC 4.3

* Wed Jan 09 2008 Jakub Hrozek <jhrozek@redhat.com> - 1.1-4
- fix the license tag from GPL2 to GPL2+

* Sat Oct 13 2007 Jakub Hrozek <jhrozek@redhat.com> - 1.1-3
- More packaging fixes spotted in review (292121), especially:
- remove slashes between macros and buildroot
- set default permissions for directories in defattr
- fix whitespace change in the patch, rename for clarity
- drop the emacs helper

* Sun Sep 30 2007 Jakub Hrozek <jhrozek@redhat.com> - 1.1-2
- Fix packaging mistakes spotted in the review request, namely:
- patch makefile so that optflags are passed
- use macro for the boxfile location as it's used frequently
- fix rpmlint
- package emacs helper

* Sat Sep 15 2007 Jakub Hrozek <jhrozek@redhat.com> - 1.1-1
- initial packaging

## END: Generated by rpmautospec
